[keyresult] Deprecate gitblit in favor of Diffusion
Closed, ResolvedPublic

Description

For this task to be done only the blockers remain.

(The purpose of this task is simply for quarterly goal tracking for our team, not really a "work task".)

greg created this task.Sep 3 2015, 11:33 PM
greg updated the task description. (Show Details)
greg raised the priority of this task from to Normal.
greg added a subscriber: greg.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptSep 3 2015, 11:33 PM
greg updated the task description. (Show Details)Sep 30 2015, 9:26 PM
greg set Security to None.
greg added subscribers: demon, mmodell.
saper added a subscriber: saper.Oct 19 2015, 11:39 AM
greg updated the task description. (Show Details)Oct 29 2015, 5:05 PM
Ltrlg added a subscriber: Ltrlg.Dec 3 2015, 12:41 AM

@demon I'm wondering if we can start redirecting gitblit to diffusion since it seems to have almost all the features of gitblit plus it is more performant.

Ive added downloads in https://phabricator.wikimedia.org/D234

demon added a comment.May 31 2016, 3:44 PM

Yeah we just need to work up some redirect rules for apache this week.

Dzahn added a subscriber: Dzahn.

@Paladox i made a subtask for this, let's see if we can come up with some rewrite rules

Almost ready to redirect gitblit. Just a few more rules todo https://phabricator.wikimedia.org/T137224 @Danny_B wrote the rules which was really good. since they are redirecting correctly.

@Dzahn were now ready to deploy ^^

JanZerebecki updated the task description. (Show Details)Jun 17 2016, 5:17 PM
greg reopened this task as Open.Jun 20 2016, 5:56 PM

Please don't close our tracking tasks.

demon closed this task as Resolved.Jun 29 2016, 6:21 PM
demon claimed this task.
Danny_B moved this task from In Progress to Done on the Gitblit-Deprecate board.Jun 29 2016, 9:01 PM